128x Resource Packs

Preview How to install Loz Ocarina of Time 3DS Pack Notice: You need Optifine or MCPatcher for this resource pack. Download the resource pack. Op
Compatible: 1.8.6, 1.8, 1.7.10, 1.7.2, 1.6.4
Updated: May 26, 2015
Pencil Pack ? Hand Drawn Preview How to Install Pencil Pack ? Hand Drawn In order to use HD resource packs properly (32× and higher) you will ne
Compatible: 1.8.6, 1.8, 1.7.10, 1.7.2, 1.6.4
Updated: May 26, 2015